LocLogger (SLF4J 1.7.28 API)
Date: 2019-08-10

org.slf4j.cal10n

## Class LocLogger

- java.lang.Object
- - org.slf4j.ext.LoggerWrapper
  - - org.slf4j.cal10n.LocLogger

- All Implemented Interfaces:
    Logger

      public class LocLogger
      extends LoggerWrapper
      implements Logger

  A logger specialized in localized logging. Localization is based in the CAL10N project.
  Author:
    Ceki Gülcü

- - ### Field Summary

    - ### Fields inherited from class org.slf4j.ext.LoggerWrapper

      `instanceofLAL, logger`

    - ### Fields inherited from interface org.slf4j.Logger

      `ROOT_LOGGER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocLogger(Logger logger, ch.qos.cal10n.IMessageConveyor imc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Enum<?> key, Object... args)` Log a localized message at the DEBUG level.
    `void` | `error(Enum<?> key, Object... args)` Log a localized message at the ERROR level.
    `void` | `info(Enum<?> key, Object... args)` Log a localized message at the INFO level.
    `void` | `trace(Enum<?> key, Object... args)` Log a localized message at the TRACE level.
    `void` | `warn(Enum<?> key, Object... args)` Log a localized message at the WARN level.

    - ### Methods inherited from class org.slf4j.ext.LoggerWrapper

      `debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, error, error, error, error, error, error, error, error, error, error, getName, info, info, info, info, info, info, info, info, info, info, isDebugEnabled, isDebugEnabled, isErrorEnabled, isErrorEnabled, isInfoEnabled, isInfoEnabled, isTraceEnabled, isTraceEnabled, isWarnEnabled, isWarnEnabled, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.slf4j.Logger

      `debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, error, error, error, error, error, error, error, error, error, error, getName, info, info, info, info, info, info, info, info, info, info, isDebugEnabled, isDebugEnabled, isErrorEnabled, isErrorEnabled, isInfoEnabled, isInfoEnabled, isTraceEnabled, isTraceEnabled, isWarnEnabled, isWarnEnabled, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn`

- - ### Constructor Detail

    - #### LocLogger

          public LocLogger(Logger logger,
                           ch.qos.cal10n.IMessageConveyor imc)

  - ### Method Detail

    - #### trace

          public void trace(Enum<?> key,
                            Object... args)

      Log a localized message at the TRACE level.
      Parameters:
        `key` - the key used for localization
        `args` - optional arguments

    - #### debug

          public void debug(Enum<?> key,
                            Object... args)

      Log a localized message at the DEBUG level.
      Parameters:
        `key` - the key used for localization
        `args` - optional arguments

    - #### info

          public void info(Enum<?> key,
                           Object... args)

      Log a localized message at the INFO level.
      Parameters:
        `key` - the key used for localization
        `args` - optional arguments

    - #### warn

          public void warn(Enum<?> key,
                           Object... args)

      Log a localized message at the WARN level.
      Parameters:
        `key` - the key used for localization
        `args` - optional arguments

    - #### error

          public void error(Enum<?> key,
                            Object... args)

      Log a localized message at the ERROR level.
      Parameters:
        `key` - the key used for localization
        `args` - optional arguments

Copyright © 2005–2019 QOS.ch. All rights reserved.